/*
 * Copyright (c) 2013, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package com.sun.ts.tests.jpa.core.entityManager2;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;


@Entity
@Table(name = "DOESNOTEXIST")
public class DoesNotExist implements java.io.Serializable {
    private int id;
    private String firstName;

    public DoesNotExist() {
    }

    public DoesNotExist(int id) {
        this.id = id;
    }
    // ===========================================================
    // getters and setters for the state fields

    @Id
    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getFirstName() {
        return firstName;
    }

    public void setFirstName(String firstName) {
        this.firstName = firstName;
    }
}

